import type { API, ClientOptions } from './interfaces/';
export declare class LibrariesIO {
    readonly api: API;
    private readonly apiClient;
    private readonly options;
    constructor(apiKey: string);
    constructor(options: ClientOptions);
    /**
     * Set a new API key.
     * @param apiKey The new API key
     */
    setApiKey(apiKey: string): void;
    /**
     * Set a new API URL.
     * @param newUrl The new API url
     */
    setApiUrl(newUrl: string): void;
}
