export declare namespace Endpoint {
    namespace Project {
        function contributors(platform: string, name: string): string;
        function dependencies(platform: string, name: string, version: string): string;
        function dependentRepositories(platform: string, name: string): string;
        function dependents(platform: string, name: string): string;
        function search(): string;
        function sourceRank(platform: string, name: string): string;
        function subscriptions(platform: string, name: string): string;
        function usage(platform: string, name: string): string;
        function project(platform: string, name: string): string;
    }
    namespace GitHub {
        namespace Repository {
            function dependencies(owner: string, name: string): string;
            function projects(owner: string, name: string): string;
            function repository(owner: string, name: string): string;
        }
        namespace User {
            function dependencies(login: string): string;
            function packages(login: string): string;
            function projects(login: string): string;
            function contributedProjects(login: string): string;
            function repositories(login: string): string;
            function contributedRepositories(login: string): string;
            function user(login: string): string;
        }
    }
    function platforms(): string;
    function subscriptions(): string;
    function subscriptions(platform: string, name: string): string;
}
